Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Orderer/FrmOrderers.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Orderer/FrmOrderers.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Orderer/FrmOrderers.cs	(revision 51)
@@ -83,11 +83,6 @@
             PointRear,
             ChangeOrdersChange,
         }
-        /// <summary>
-        /// 修正モード名称
-        /// </summary>
-        private static string EditModeStringNew = "新規";
-        private static string EditModeStringEdit = "修正";
         #endregion
 
         #region 変数
@@ -108,10 +103,6 @@
         /// 発注者コード
         /// </summary>
         private int m_OrderersCode = 0;
-        /// <summary>
-        /// 閲覧フラグ
-        /// </summary>
-        private bool m_bBrowseFlg = false;
 
         /// <summary>
         /// 表示コントロール保持配列
@@ -126,6 +117,11 @@
         /// 終了ボタン押下フラグ
         /// </summary>
         private bool m_EndButton = false;
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        private bool m_EditLock = false;
         #endregion
 
         #region プロパティ
@@ -145,13 +141,14 @@
             set { m_OrderersCode = value; }
             get { return m_OrderersCode; }
         }
+
         /// <summary>
-        /// 閲覧フラグ
+        /// 参照フラグ
         /// </summary>
-        public bool BrowseFlg
+        public bool EditLock
         {
-            get { return m_bBrowseFlg; }
-            set { m_bBrowseFlg = value; }
+            get { return m_EditLock; }
+            set { m_EditLock = value; }
         }
         #endregion
 
@@ -175,7 +172,7 @@
         }
         #endregion
 
-        #region イベントメソッド
+        #region ×ボタン押下処理
         /// <summary>
         /// ×ボタン押下処理
         /// </summary>
@@ -184,7 +181,7 @@
         private void FrmOrderers_FormClosing(object sender, FormClosingEventArgs e)
         {
             if (m_EndButton) return;
-            if (m_bChengeAns && !m_bBrowseFlg)
+            if (m_bChengeAns && !m_EditLock)
             {
                 if (MessageBox.Show("データに変更があります、登録せずに終了してよろしいですか？。", "終了確認"
                                 , MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
@@ -196,6 +193,9 @@
             // 前プロセスに戻る
             ClsExcute.BackProcess();
         }
+        #endregion
+
+        #region 終了ボタンクリック
         /// <summary>
         /// 終了ボタンクリック
         /// </summary>
@@ -205,7 +205,9 @@
         {
             this.Close();
         }
+        #endregion
 
+        #region 初期フォームロード
         /// <summary>
         /// 初期フォームロード
         /// </summary>
@@ -236,13 +238,20 @@
             // フィールドロック
             ControlLock(false);
 
+            // 参照時はデータ変更させない
+            if (m_EditLock)
+            {
+                ExecReadOnly();
+            }
+
             // 初期フラグON
             m_bInitChangeOff = false;
 
-
             dgvMaster.Focus();
         }
+        #endregion
 
+        #region フィールド値変更フラグ
         /// <summary>
         /// フィールド値変更フラグ
         /// </summary>
@@ -252,7 +261,9 @@
         {
             m_bChengeAns = true;
         }
+        #endregion
 
+        #region 登録ボタン押下
         /// <summary>
         /// 登録ボタン押下
         /// </summary>
@@ -271,6 +282,8 @@
                 // データ登録
                 if (!OrderersMasterDataEntry()) return;
 
+                CommonMotions.EntryEndMessage("発注者情報データ");
+
                 // 更新エリアクリア
                 ClearDisplay();
 
@@ -296,7 +309,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region 削除ボタン押下
         /// <summary>
         /// 削除ボタン押下
         /// </summary>
@@ -327,6 +342,8 @@
                     return;
                 }
 
+                CommonMotions.RemoveEndMessage("発注者情報データ");
+
                 // 更新エリアクリア
                 ClearDisplay();
 
@@ -357,7 +374,9 @@
                 orDB = null;
             }
         }
+        #endregion
 
+        #region Entryキーでの移動処理
         /// <summary>
         /// Entryキーでの移動処理
         /// </summary>
@@ -378,7 +397,9 @@
                 e.SuppressKeyPress = true;
             }
         }
+        #endregion
 
+        #region 行選択時処理
         /// <summary>
         /// 行選択時処理
         /// </summary>
@@ -405,7 +426,6 @@
                 return;
             }
 
-
             m_OrderersCode = CommonMotions.cnvInt(dgvMaster.CurrentRow.Cells[(int)DispListColumn.ORDERERS_CODE].Value);
 
             // クリア
@@ -418,11 +438,24 @@
             DispMentenanceData();
 
             // モード表示
-            m_dispControl[(int)Dispcount.EditMode].Text = EditModeStringEdit;
+            if (m_EditLock)
+                m_dispControl[(int)Dispcount.EditMode].Text = CommonDefine.EditModeStringRef;
+            else
+                m_dispControl[(int)Dispcount.EditMode].Text = CommonDefine.EditModeStringEdit;
+
+            // 参照時はデータ変更させない
+            if (m_EditLock)
+            {
+                ExecReadOnly();
+            }
+
             // フォーカスセット
             m_dispControl[(int)Dispcount.OrderersName1].Focus();
 
         }
+        #endregion
+
+        #region グリッド選択処理
         /// <summary>
         /// グリッド選択処理
         /// </summary>
@@ -442,6 +475,9 @@
             // 行選択時処理
             DataSelectRow();
         }
+        #endregion
+
+        #region 選択ボタン押下
         /// <summary>
         /// 選択ボタン押下
         /// </summary>
@@ -452,6 +488,9 @@
             // 行選択時処理
             DataSelectRow();
         }
+        #endregion
+
+        #region 新規データ追加押下
         /// <summary>
         /// 新規データ追加押下
         /// </summary>
@@ -484,7 +523,7 @@
                 }
 
                 // モード表示
-                m_dispControl[(int)Dispcount.EditMode].Text = EditModeStringNew;
+                m_dispControl[(int)Dispcount.EditMode].Text = CommonDefine.EditModeStringNew;
                 // フォーカスセット
                 m_dispControl[(int)Dispcount.OrderersName1].Focus();
             }
@@ -498,7 +537,9 @@
                 orDB = null;
             }
         }
+        #endregion
 
+        #region 住所検索ボタン押下
         /// <summary>
         /// 住所検索ボタン押下
         /// </summary>
@@ -560,7 +601,9 @@
                 Fad = null;
             }
         }
+        #endregion
 
+        #region アップキー押下
         /// <summary>
         /// アップキー押下
         /// </summary>
@@ -573,7 +616,9 @@
 
             m_bChengeAns = true;
         }
+        #endregion
 
+        #region ダウンキー押下処理
         /// <summary>
         /// ダウンキー押下処理
         /// </summary>
@@ -586,6 +631,9 @@
 
             m_bChengeAns = true;
         }
+        #endregion
+
+        #region 発注者区分変更
         /// <summary>
         /// 発注者区分変更
         /// </summary>
@@ -599,6 +647,9 @@
             // グリッド表示
             DispGridData();
         }
+        #endregion
+
+        #region 法人格radioButton変化有
         /// <summary>
         /// 法人格radioButton変化有
         /// </summary>
@@ -611,7 +662,7 @@
         }
         #endregion
 
-        #region プライベートメソッド
+        #region 表示オブジェクトの取得
         /// <summary>
         /// 表示オブジェクトの取得
         /// </summary>
@@ -635,7 +686,9 @@
             m_dispControl[(int)Dispcount.PointRear] = rdbPoint3;
             m_dispControl[(int)Dispcount.ChangeOrdersChange] = cmbChangeOrdersDivision;
         }
-        
+        #endregion
+
+        #region 画面ロック
         /// <summary>
         /// 画面ロック
         /// </summary>
@@ -648,7 +701,9 @@
                     wrk.Enabled = bctrl;
             }
         }
+        #endregion
 
+        #region 画面クリア
         /// <summary>
         /// 画面クリア
         /// </summary>
@@ -660,19 +715,6 @@
                 if (wrk.GetType().Equals(typeof(RadioButton))) continue;
                 if (wrk.GetType().Equals(typeof(Button))) continue;
                 wrk.Text = "";
-                // 閲覧時は入力できない
-                if (m_bBrowseFlg)
-                {
-                    if (wrk.GetType().Equals(typeof(TextBox)))
-                    {
-                        ((TextBox)wrk).ReadOnly = true;
-                        continue;
-                    }
-                    if (wrk.GetType().Equals(typeof(ComboBox)))
-                    {
-                        ((ComboBox)wrk).Enabled = true;
-                    }
-                }
             }
             
             // 新規時は発注者コードを表示しない
@@ -691,7 +733,9 @@
             rdbPoint1.Checked = true;
             m_bChengeAns = false;
         }
+        #endregion
 
+        #region 画面項目のチェック
         /// <summary>
         /// 画面項目のチェック
         /// </summary>
@@ -752,7 +796,9 @@
                 return false;
             }
         }
+        #endregion
 
+        #region 発注者マスタ登録
         /// <summary>
         /// 発注者マスタ登録
         /// </summary>
@@ -917,6 +963,9 @@
             }
             return true;
         }
+        #endregion
+
+        #region 初期時データ取得
         /// <summary>
         /// 初期時データ取得
         /// </summary>
@@ -929,7 +978,8 @@
                 // 発注者取得クラス領域
                 List<OrderersMaster> wrk = new List<OrderersMaster>();
                 // 発注者取得SQL
-                string strSql = orDB.CreatePrimarykeyString(CommonMotions.cnvInt(cmbDivision.SelectedValue.ToString())) + " And DeleteFlg = 0 Order By DisplayOrder ASC";
+                string strSql = orDB.CreatePrimarykeyString(CommonMotions.cnvInt(cmbDivision.SelectedValue.ToString()));
+                strSql += " And DeleteFlg = 0 Order By DisplayOrder ASC";
                 // グリッドの行を0に戻す
                 dgvMaster.Rows.Clear();
                 // 作業名称取得
@@ -939,14 +989,6 @@
                 int ino = 1;
                 foreach (OrderersMaster work in wrk)
                 {
-                    //string wrkDisp = "";
-                    //if (work.CorporateStatusPoint == (int)CommonDefine.StatusNamePoint.Forword)
-                    //    wrkDisp = work.CorporateStatusName + "　" + work.OrderersName1 + "　" + work.OrderersName2;
-                    //else if (work.CorporateStatusPoint == (int)CommonDefine.StatusNamePoint.Back)
-                    //    wrkDisp = work.OrderersName1 + "　" + work.CorporateStatusName + "　" + work.OrderersName2;
-                    //else
-                    //    wrkDisp = work.OrderersName1 + "　" + work.OrderersName2;
-
                     // 発注者名を法人格を含めて連結する
                     string wrkDisp = CommonMotions.OrderersNameUnion(work);
 
@@ -966,16 +1008,6 @@
                     }
                 }
 
-                // 閲覧時は変更できない
-                if (m_bBrowseFlg)
-                {
-                    btnDataLineEntry.Visible = false;
-                    btnDataDelete.Visible = false;
-                    btnDataEntry.Visible = false;
-                    btnSerchZip.Visible = false;
-                    panel5.Enabled = false;
-                }
-
                 // 行を選択しない
                 dgvMaster.ClearSelection();
 
@@ -995,6 +1027,9 @@
                 orDB = null;
             }
         }
+        #endregion
+
+        #region 更新データ表示処理
         /// <summary>
         /// 更新データ表示処理
         /// </summary>
@@ -1052,6 +1087,9 @@
                 odDB = null;
             }
         }
+        #endregion
+
+        #region 法人格コンボボックスセット
         /// <summary>
         /// 法人格コンボボックスセット
         /// </summary>
@@ -1085,6 +1123,9 @@
                 btDB = null;
             }
         }
+        #endregion
+
+        #region 発注者区分コンボボックスセット
         /// <summary>
         /// 発注者区分コンボボックスセット
         /// </summary>
@@ -1127,5 +1168,27 @@
             }
         }
         #endregion
+
+        #region 参照時ロック処理
+        /// <summary>
+        /// 参照時ロック処理
+        /// </summary>
+        private void ExecReadOnly()
+        {
+            try
+            {
+                ControlLock(false);
+                btnDataEntry.Visible = false;
+                btnDataDelete.Visible = false;
+                btnDataLineEntry.Visible = false;
+                btnDispDown.Visible = false;
+                btnDispUp.Visible = false;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
     }
 }
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Orderer/FrmOrderers.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Orderer/FrmOrderers.designer.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Orderer/FrmOrderers.designer.cs	(revision 51)
@@ -136,7 +136,7 @@
             this.btnDataDelete.Name = "btnDataDelete";
             this.btnDataDelete.Size = new System.Drawing.Size(120, 30);
             this.btnDataDelete.TabIndex = 11;
-            this.btnDataDelete.Text = "削　除";
+            this.btnDataDelete.Text = "内容削除";
             this.btnDataDelete.UseVisualStyleBackColor = false;
             this.btnDataDelete.Click += new System.EventHandler(this.btnDataDelete_Click);
             this.btnDataDelete.KeyDown += new System.Windows.Forms.KeyEventHandler(this.FrmOrderers_KeyDown);
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/PersonInCharge/FrmPersonInCharge.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/PersonInCharge/FrmPersonInCharge.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/PersonInCharge/FrmPersonInCharge.cs	(revision 51)
@@ -21,8 +21,8 @@
 //*---------------------------- 担当者マスタメンテ画面 -----------------------*
 //  2015/07/13  Ver1.0.0.0      Create Source           
 //  2015/08/07  Ver2.0.0.0      Create Source           
+//  2016/11/16  Ver2.1.0.0      Update Source           
 //
-//
 //*----------------------------------------------------------------------------*
 namespace ProcessManagement.Forms.Master
 {
@@ -34,6 +34,8 @@
         #endregion
 
         #region 定数
+
+        #region 処理定数
         /// <summary>
         /// 担当者名最大文字数(UTF-8 Length)
         /// </summary>
@@ -58,8 +60,11 @@
         /// 印鑑表示名最大文字数(UTF-8 Length)
         /// </summary>
         private const int s_SealPrintNameLength = 5;
+        #endregion
+
+        #region 一覧グリッド表示順番
         /// <summary>
-        /// 表示順番
+        /// 一覧グリッド表示順番
         /// </summary>
         private enum DispListColumn
         {
@@ -69,9 +74,39 @@
             START_DATE,
             END_DATE,
         }
-        private enum Dispcount
+        #endregion
+
+        #region 給与グリッド表示順
+        /// <summary>
+        /// 給与グリッド表示順
+        /// </summary>
+        private enum SalaryGridColumn
         {
-            PersonCode = 0,
+            StartData = 0,
+            MonthlySalary,
+            YearSalary,
+        }
+        #endregion
+
+        #region 参照部署グリッド表示順
+        /// <summary>
+        /// 参照部署グリッド表示順
+        /// </summary>
+        private enum RefDepGridColumn
+        {
+            DepCode = 0,
+            DepName,
+        }
+        #endregion
+
+        #region 画面コントロール定義
+        /// <summary>
+        /// 画面コントロール
+        /// </summary>
+        private enum DispCtrl
+        {
+            EditMode = 0,
+            PersonCode,
             PersonName,
             StartDate,
             EndDate,
@@ -78,28 +113,41 @@
             PassWord,
             MonthlySalary,
             YearSalary,
-            SecurityManagement,
-            MessageColor,
+            SalaryStDate,
+            SecManage,
             Department,
             DisplayString,
             Qualification,
             SealPrintName,
             LedgerFlg,
-            EditMode,
+            MessageColor,
+            SecRank,
+            SecRange,
+            RefDepartment,
+            SecurityManegement,
         }
+        #endregion
 
+        #region 工事詳細台帳計算対象名称
         /// <summary>
-        /// 修正モード名称
+        /// 工事詳細台帳計算対象名称
         /// </summary>
-        private static string EditModeStringNew = "新規";
-        private static string EditModeStringEdit = "修正";
+        private string[] PersonLedgerDivNoName = new string[] { "計算対象外", "計算対象" };
+        #endregion
 
+        #region グリッド固定行
         /// <summary>
-        /// 工事詳細台帳計算対象名称
+        /// 給与グリッド固定行
         /// </summary>
-        private string[] PersonLedgerDivNoName = new string[] { "計算対象外", "計算対象" };
+        const int s_FixRowsSalaryGrid = 4;
+        /// <summary>
+        /// 参照部署グリッド固定行
+        /// </summary>
+        const int s_FixRowsRefDepGrid = 5;
         #endregion
 
+        #endregion
+
         #region 変数
         /// <summary>
         /// イベントストップフラグ
@@ -115,6 +163,11 @@
         private bool m_bChengeAns = false;
 
         /// <summary>
+        /// 日付変更フラグ
+        /// </summary>
+        private bool m_bDateChange = false;
+
+        /// <summary>
         /// 担当者コード
         /// </summary>
         private int m_PersonCode = 0;
@@ -138,6 +191,11 @@
         /// 終了ボタン押下フラグ
         /// </summary>
         private bool m_EndButton = false;
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        private bool m_EditLock = false;
         #endregion
 
         #region プロパティ
@@ -155,6 +213,15 @@
         {
             set { m_PasswordInputFlg = value; }
         }
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        public bool EditLock
+        {
+            get { return m_EditLock; }
+            set { m_EditLock = value; }
+        }
         #endregion
 
         #region コンストラクタ
@@ -236,6 +303,12 @@
             // フィールドロック
             ControlLock(false);
 
+            // 参照時はデータ変更させない
+            if (m_EditLock)
+            {
+                ExecReadOnly();
+            }
+
             m_bEventStop = false;
         }
         #endregion
@@ -248,7 +321,7 @@
         /// <param name="e"></param>
         private void valueChange(object sender, EventArgs e)
         {
-            m_bChengeAns = true;
+            if (!m_EditLock) m_bChengeAns = true;
         }
         #endregion
 
@@ -268,12 +341,11 @@
                 if (MessageBox.Show("表示中のデータを登録します。", "登録確認"
                         , MessageBoxButtons.YesNo, MessageBoxIcon.Question) != DialogResult.Yes) return;
 
-                // 編集データグリッドへ移動
-
-
                 // データ登録
                 if (!PersonInChargeMasterDataEntry()) return;
 
+                CommonMotions.EntryEndMessage("担当者情報データ");
+
                 // 更新エリアクリア
                 ClearDisplay();
 
@@ -315,26 +387,48 @@
                 if (MessageBox.Show("表示中のデータを削除します。", "削除確認"
                     , MessageBoxButtons.YesNo, MessageBoxIcon.Information) != DialogResult.Yes) return;
 
-                List<PersonInChargeMaster> workList = new List<PersonInChargeMaster>();
-                // 
-                string strWhere = string.Format(" Where PersonCode = {0}", m_dispControl[(int)Dispcount.PersonCode].Text.ToString());
+                picDB.connect(); picDB.beginTran();
+
+                PersonInChargeMaster workList = new PersonInChargeMaster();
+                // データ存在確認
+                int PersonCode = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.PersonCode].Text);
+                string strWhere = string.Format(" Where PersonCode = {0}", PersonCode);
                 // データ読込
-                if (!picDB.SelectAction(strWhere, ref workList))
+                if (!picDB.SelectAction(strWhere, ref workList, false))
                 {
                     MessageBox.Show("削除確認に失敗しました。", "削除エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
                     return;
                 }
+
                 // 終了年月日
-                workList[0].StartDate = DateTime.Now;
+                if (!picDB.UpdateFeild(PersonCode, (int)IOMPersonInCharge.ColumnCnt.EndDate, DateTime.Now, false))
+                {
+                    picDB.rollback();
+                    MessageBox.Show("削除に失敗しました。", "削除エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return;
+                }
                 // 削除フラグ
-                workList[0].DeleteFlg = 1;
-                // データ更新
-                if (!picDB.UpdateAction(strWhere, workList[0]))
+                if (!picDB.UpdateFeild(PersonCode, (int)IOMPersonInCharge.ColumnCnt.DeleteFlg, 1, false))
                 {
+                    picDB.rollback();
                     MessageBox.Show("削除に失敗しました。", "削除エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
                     return;
                 }
+                picDB.commit();
 
+                CommonMotions.RemoveEndMessage("担当者情報データ");
+
+                //// 終了年月日
+                //workList[0].EndDate = DateTime.Now;
+                //// 削除フラグ
+                //workList[0].DeleteFlg = 1;
+                //// データ更新
+                //if (!picDB.UpdateAction(strWhere, workList[0]))
+                //{
+                //    MessageBox.Show("削除に失敗しました。", "削除エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                //    return;
+                //}
+
                 // 更新エリアクリア
                 ClearDisplay();
 
@@ -367,53 +461,6 @@
         }
         #endregion
 
-        #region 開始年月日入力後処理
-        /// <summary>
-        /// 開始年月日入力後処理
-        /// </summary>
-        /// <param name="sender"></param>
-        /// <param name="e"></param>
-        private void txtInputDate_TextChanged(object sender, EventArgs e)
-        {
-            TextBox txtbox = (TextBox)sender;
-
-            // 新規のときのみ処理する
-            if (lblPersonCode.Text.Length != 0) return;
-
-            // 終了日付の場合は処理を終了する
-            if (txtbox == (TextBox)m_dispControl[(int)Dispcount.EndDate]) return;
-
-            // 日付をyyyy/mm/dd形式で表示する
-            if (txtbox.Text.Length == 0) return;
-
-            // 日付がおかしくないかをチェックする
-            if(!CommonMotions.chkDate(txtbox.Text.ToString())) return;
-
-            // 日付編集表示
-            DateTime wrkDt = DateTime.Parse(txtbox.Text);
-            txtbox.Text = wrkDt.ToShortDateString();
-
-            // 担当者コード用にyyyy/mmを取得する
-            string work = wrkDt.Year.ToString("0000") + "/" + wrkDt.Month.ToString("00");
-        
-            // 担当者コードの基を取得する
-            int personcode = GetMaxPersonCode(work);
-            if (personcode == 0)
-            {   // 対象月に登録者がいない場合は1番で作成
-                m_dispControl[(int)Dispcount.PersonCode].Text = work.Replace("/", "") + string.Format("{0:00}", 1);
-            }
-            else
-            {   // 対象月に登録者がいた場合はその番号+1にする
-                m_dispControl[(int)Dispcount.PersonCode].Text = string.Format("{0:00000000}", personcode + 1);
-            }
-            // 新規時はパスワードを同じにする
-            if (m_dispControl[(int)Dispcount.EditMode].Text.Trim().Equals(EditModeStringNew))
-            {
-                m_dispControl[(int)Dispcount.PassWord].Text = m_dispControl[(int)Dispcount.PersonCode].Text;
-            }
-        }
-        #endregion
-
         #region Entryキーでの移動処理
         /// <summary>
         /// Entryキーでの移動処理
@@ -437,63 +484,10 @@
         }
         #endregion
 
-        #region 行選択時処理
+        #region 一覧グリッド選択処理
         /// <summary>
-        /// 行選択時処理
+        /// 一覧グリッド選択処理
         /// </summary>
-        private void DataSelectRow()
-        {
-            try
-            {
-                if (m_bChengeAns)
-                {
-                    if (MessageBox.Show("データに変更があります、登録内容を破棄してよろしいですか？。", "終了確認"
-                                    , MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
-                    {
-                        return;
-                    }
-                }
-                if (dgvMaster.Rows.Count < 1) return;
-                if (dgvMaster.CurrentRow.Index < 0) return;
-
-                // 空白行は処理しない
-                if (CommonMotions.chkObjectIsNull(dgvMaster.CurrentRow.Cells[(int)DispListColumn.PERSON_CODE].Value) ||
-                    CommonMotions.cnvString(dgvMaster.CurrentRow.Cells[(int)DispListColumn.PERSON_CODE].Value).Length == 0)
-                {
-                    // クリア
-                    ClearDisplay();
-                    // フィールドロック解除
-                    ControlLock(false);
-                    return;
-                }
-
-                m_PersonCode = CommonMotions.cnvInt(dgvMaster.CurrentRow.Cells[(int)DispListColumn.PERSON_CODE].Value);
-
-                // クリア
-                ClearDisplay();
-
-                // フィールドロック解除
-                ControlLock();
-
-                // 更新データ取得
-                DispMentenanceData();
-
-                // モード表示
-                m_dispControl[(int)Dispcount.EditMode].Text = EditModeStringEdit;
-                // フォーカスセット
-                m_dispControl[(int)Dispcount.PersonName].Focus();
-            }
-            catch (System.Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-        }
-        #endregion
-
-        #region グリッド選択処理
-        /// <summary>
-        /// グリッド選択処理
-        /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
         private void dgvMaster_CellClick(object sender, DataGridViewCellEventArgs e)
@@ -531,10 +525,12 @@
             // フィールドロック解除
             ControlLock();
 
+            // 旧セキュリティ区分セット
+            m_dispControl[(int)DispCtrl.SecurityManegement].Text = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key.ToString();
             // モード表示
-            m_dispControl[(int)Dispcount.EditMode].Text = EditModeStringNew;
+            m_dispControl[(int)DispCtrl.EditMode].Text = CommonDefine.EditModeStringNew;
             // フォーカスセット
-            m_dispControl[(int)Dispcount.PersonName].Focus();
+            m_dispControl[(int)DispCtrl.PersonName].Focus();
         }
         #endregion
 
@@ -588,23 +584,12 @@
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void cmbSecurityManagement_SelectedIndexChanged(object sender, EventArgs e)
+        private void cmbSecManage_SelectedValueChanged(object sender, EventArgs e)
         {
             if (m_bEventStop) return;
 
-            int wrk = CommonMotions.cnvInt(((ComboBox)m_dispControl[(int)Dispcount.SecurityManagement]).SelectedValue.ToString());
-            if (wrk == 0 || wrk == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key)
-            {
-                label15.Visible = false;
-                lblMessageColor.Visible = false;
-                btnBackColor.Visible = false;
-            }
-            else
-            {
-                label15.Visible = true;
-                lblMessageColor.Visible = true;
-                btnBackColor.Visible = true;
-            }
+            // 参照部署表示
+            CtrlRefDepDisp();
         }
         #endregion
 
